"The system files are corrupted."

Discussion in 'Wii - Hacking' started by Elusn, Jun 23, 2013.

  1. Elusn
    OP

    Elusn Newbie

    Newcomer
    8
    0
    Jun 23, 2013
    United States
    Hey guys, sorry if you are constantly spammed with "I bricked my Wii" posts; but unfortunately I have another one for you.

    Story
    Several days ago I received my shipment of Xenoblade Chronicles and found that that my US Loader GX wouldn't install it correctly. At that point I decided to just load an .iso file directly onto the external harddrive. This did not help in allowing my game to run off USB Loader, so I assumed it had something to do with my system files from the research I gathered from GBATEMP and random Youtube videos.

    I came up with the solution to use Pimp My Wii; a mod that supposedly updates a bunch of files on your Wii. Something that I believed my Wii was due for since I haven't updated/modded for several years.

    I ran Pimp My Wii and loaded Xenoblade through USB Loader fine. Then I reset my Wii to find that everything was far from fine.

    Upon booting my Wii, I am greeted with a screen that has partially missing letters that spell out:
    "The system files are corrupted. Please refer to the Wii Operations Manual for help troubleshooting."

    Luckily, when I first began modding I installed preloader v0.29 just in case I ran into any issues. But since it's been so long since I've been active in the modding community I have no longer remember what I'm doing.

    So guys, if you have some time, lend me a hand please? What should I do to fix my Wii? I do plan on softmodding it in the future again.

    While in the preloader menu, I have the options:
    • Systemmenu - brings me back to the "The system files are corrupted..." screen
    • Homebrew Channel - brings up the error message: "Error autobooting HBC. maybe title not installed?"
    • Installed File - brings up an error message: "Exception (Program) occurred!" with a long set of numbers following multiple lines down.
    • Load/Install File - allows me to install files from the root of my SD card (I suppose that any fix to my issue would have to begin here, since it's the only accessible area to my knowledge)
    • Systemmenu Hacks - brings me to the preloader's system menu
    • Settings - brings me to preloader's menu
    I feel like I'm royally f'd; I'm hoping there's a way around this.

    Edit: Here's a link to what I'm seeing on my screen: http://imgur.com/a/5BTfy

    The first picture shows my preloader options along with my iOS version (iOS v60) and my systemmenu version (v449).

    The second picture shows what I'm seeing upon bootup.

    ______
    I will do my best to frequent this thread until my problem is solved and if solved I will leave feedback on my fix to help anyone else in the similar situation.
     


  2. icebrg5

    icebrg5 GBAtemp Addict

    Member
    2,326
    41
    Apr 1, 2007
    United States
    Do you happen to have bootmii installed as boot2?

    When you turn the wii on does the blue light blink twice really fast?
     
  3. Elusn
    OP

    Elusn Newbie

    Newcomer
    8
    0
    Jun 23, 2013
    United States
    I honestly have no clue if I have bootmii installed; so I suppose I'm unable to answer your first question. Is there a way for me to check on my SD card?

    My Wii's blue light only flashes once on start up.
     
  4. icebrg5

    icebrg5 GBAtemp Addict

    Member
    2,326
    41
    Apr 1, 2007
    United States
    If its installed it will blink twice i believe.

    You could have the files still on your sd card but its doubtful because if you did and you leave the sd card in the wii when you turn it on it will automatically boot into bootmii.
     
  5. Elusn
    OP

    Elusn Newbie

    Newcomer
    8
    0
    Jun 23, 2013
    United States
    What other options do I have if I never installed bootmii?
     
  6. icebrg5

    icebrg5 GBAtemp Addict

    Member
    2,326
    41
    Apr 1, 2007
    United States
    the load/install option in preloader is your only option it looks like.

    Your on system menu 4.1 when 4.3 is the current. Maybe pimp my wii did that on purpose or not but who knows.
    Also the version of preloader you have is a very old one that's why its not find the HBC since your HBC probably has a different ID then what preloader is looking for.

    You know what version of the HBC you have?
     
  7. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,970
    3,755
    Apr 2, 2011
    United States
    The Twilight Zone
    I wish BrickMyWii was gone from the internet.

    4.3 is for morons. All 4.2+ does is remove hacks, remove region free, and brick region changed Korean Wii's. There is absolutely no point in updating past 4.1.
     
  8. Elusn
    OP

    Elusn Newbie

    Newcomer
    8
    0
    Jun 23, 2013
    United States
    I have HBC v0.3.9e
     
  9. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,970
    3,755
    Apr 2, 2011
    United States
    The Twilight Zone
    That's not even a real version.
     
  10. icebrg5

    icebrg5 GBAtemp Addict

    Member
    2,326
    41
    Apr 1, 2007
    United States
    What i believed happened is this.

    You had preloader installed and you were on 4.1U already.

    You used pimp my wii and it updated all your ios files.In the process it updated the ios that the system menu uses which is ios60 for 4.1U.
    If i remember correctly the older versions of preloader like the one your using required a patched ios in order to work and when you updated using pimp my wii it the patched ios60 was overwritten with an unpatched one which is now causing the error your seeing.

    I would say use the install/load option in preloader to boot into Multi mod manager. Then you can try reinstalling a patched ios60 and see if the message goes away.

    You could also try installing wads to take you to 4.2U or 4.3U but if you do this it will remove preloader from your wii and if updating to 4.2 or 4.3
    doesn't fix the problem then you have no
    way of getting back into preloader at all.

    Anytime you install a new system menu preloader is overwritten so i wouldnt be in a rush to update to 4.2 or 4.3 until you get the current issue resolved.
     
  11. icebrg5

    icebrg5 GBAtemp Addict

    Member
    2,326
    41
    Apr 1, 2007
    United States
    That is the Home Brew Browser not the home brew channel.
     
  12. Elusn
    OP

    Elusn Newbie

    Newcomer
    8
    0
    Jun 23, 2013
    United States
    My apologies, I went into my SD card and found the version number via the meta files. Since I cannot access the actual HBC through preloader, I cannot verify the actual version by any other means that what I mentioned earlier.

    Edit: I just read icebrg5's post about my version being the HBB, I'll look for the HBC version. My bad guys.

    Edit2: Is there anyway for me to check the HBC version if I can't access it? Is HBC stored on the SD card?
     
  13. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,970
    3,755
    Apr 2, 2011
    United States
    The Twilight Zone
  14. icebrg5

    icebrg5 GBAtemp Addict

    Member
    2,326
    41
    Apr 1, 2007
    United States
    HBC isnt installed on sd card but you might have the hackmii installer on the sd card which could tell us what version was installed.
     
  15. Elusn
    OP

    Elusn Newbie

    Newcomer
    8
    0
    Jun 23, 2013
    United States

    Loaded that file onto my SD card and launched it. HBC runs!!!

    What is my next step, fellas? I don't want to mess this up so any expert advice would be appreciated.
     
  16. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,970
    3,755
    Apr 2, 2011
    United States
    The Twilight Zone
    Install ModMii on your computer, download System Menu 4.1U (make sure it's 4.1U, that's very important) and MMM from it, then put them on your SD card. Load the HBC from the same method as before. Launch MMM, go to Wad Manager, and install the System Menu 4.1U wad. That should fix everything.

    After that, you'll want to remod. Normally I'd suggest using ModMii to do the complete softmod, but bootmii.org (where you get the hackmii installer) is down, so I suggest Softmod ANY Wii to completely resoftmod your Wii.
     
  17. Elusn
    OP

    Elusn Newbie

    Newcomer
    8
    0
    Jun 23, 2013
    United States
    I'll give that a try JoostinOnline. Thanks ahead of time, I'll update my results once I'm done.
     
  18. mauifrog

    mauifrog DA KINE WiiHacker

    Member
    1,585
    90
    Jan 21, 2010
    United States
    This brick is not pimp my wii's falt. Any method of installing a patched ios60 would have given such a brick. When pimp my wii updated the ios it must have installed a patched ios60, this removed the ES_DIVerfiy patch on ios60 that preloader installed. Priiloader does not have that issue. The softmod guide will fix the issue, but you could also simply install the patch ios60 wad that has the ES_DIVerfiy patch, preaty sure the cios60-v6174 from cioscorp has that patch (not sure, but it is installed with the guide (priiloader to)).
     
  19. Elusn
    OP

    Elusn Newbie

    Newcomer
    8
    0
    Jun 23, 2013
    United States
    Update: Following JoostinOnline's method allowed me to access HBC again from the preloader menu along with my system menu once again. I'm going to put off remodding for at least a few more days until bootmii website comes back on (hopefully) to avoid any further errors on my behalf.

    Just wanted to say thanks again guys. You saved me $50 from buying a used Wii off eBay and you also saved my head, since this was my girlfriend's Wii that I bricked.
     
  20. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,970
    3,755
    Apr 2, 2011
    United States
    The Twilight Zone
    There's nothing wrong with Softmod ANY Wii, it's the one I use. It's just longer because it includes more brick protection.